Subject: Re: [payload] WGLC for draft-ietf-payload-tsvcis-00.txt

From: "Roni Even (A)" <[email-masked]>
Date: Mon, 11 Feb 2019 06:38:46 +0000

Hi,
My comments were addressed in the -01 version
Roni Even as individual

From: Victor Demjanenko, Ph.D. [mailto:[email-masked]]
Sent: Wednesday, October 17, 2018 12:15 AM
To: Roni Even (A); 'Ali C. Begen'; [email-masked]
Cc: 'Victor Demjanenko, Ph.D.'; 'Dave Satterlee (Vocal)'; 'John Punaro'
Subject: RE: [payload] WGLC for draft-ietf-payload-tsvcis-00.txt

Hi Roni,

Thanks for your comments.  We have incorporated most of them into the latest draft.  As best I know, the NRL paper is the best public description.  I am trying to see if a more detailed document can be released.  I should know that perhaps in a month or two.

The TSVCIS speed data is used always in combination with a MELP 2400 bps frame.  So the two of them must reside in the same RTP packet.  I added “in the same RTP payload” to the sentence you asked about in section 3.2.  As for you comment in section 3.3, I did not feel a change was necessary given the clarification just added.

Again thank you for the concise comments and your help with shepparding this through the approval process.

Regard,

Victor, Dave and John

From: payload [mailto:[email-masked]] On Behalf Of Roni Even (A)
Sent: Wednesday, October 10, 2018 6:36 AM
To: Ali C. Begen; [email-masked]<mailto:[email-masked]>
Subject: Re: [payload] WGLC for draft-ietf-payload-tsvcis-00.txt

Hi,
I read the document, some comments

1.   Add a reference to TSVCIS in section 1 when first mentioned. Is there a reference to tsvcis that is publically available?

2. the following sentence in 3.1 is not clear  “RTP packetization of MELPe follows RFC 8130 and is repeated here for all three MELPe rates [RFC8130] which with promoted suggestions or recommendations now regarded as requirements “

3.  Typo in section 3.1 “The comfort nosie frame”

4. In section 3.2 “The TSVCIS augmented speech data as packed parameters MUST be placed immediately after a corresponding MELPe 2400 bps payload “ does it mean in the same RTP packet?

5. section 3.3 “TSVCIS coder frames in a single RTP packet MAY be of different coder bitrates.  With the exception for the variable length TSVCIS parameter frames, the coder rate bits in the trailing byte identify

   the contents and length as per Table 1.” I understand that the parsing is done by looking at the expected position for the CODA, CODB and CODC, this is similar to MELPE but here there is tsvcis data which is variable length. Is the parsing done by assuming that the tsvcis data frame may only appear after a 2400 frame?

6. In section 4.1 for tcmax maybe specify 35 and ask for feedback

7. In section 4.1 published specification should be RFCXXXXand ask the RFC editor to replace with the RFC number of this document.

Roni Even as individual

From: payload [mailto:[email-masked]] On Behalf Of Ali C. Begen
Sent: Wednesday, October 10, 2018 9:43 AM
To: [email-masked]<mailto:[email-masked]>
Subject: [payload] WGLC for draft-ietf-payload-tsvcis-00.txt

All,

This is to start the WGLC for the following draft:
https://www.ietf.org/id/draft-ietf-payload-tsvcis-00.txt

Please send comments to the list by Oct. 24th.

Thanks.
-acbegen